rwdm REST API (3.1.0)

Download OpenAPI specification:Download

HL Informatik: support@hli.ch URL: https://hli.ch/

REST API for rwdm Webportal

Hardware (ERP)

Get available hardware products

Retrieves a list of available hardware products.

Access Requirements (Customer Info Flags):
This endpoint is only available if the following flags are true in the customer info:

  • hasHardwareLicence
  • hardwareProfileComplete

You can verify the current customer flags by calling the GET /customerInfo endpoint.

Authorizations:
ApiKeyAuth
query Parameters
lang
string
Default: "de"
Enum: "de" "fr" "en"

Specifies the language of the returned results.

Example: lang=fr

offset
required
integer >= 0
Default: 0

The number of items to skip before starting to collect the result set. Used for pagination.

limit
required
integer >= 1
Default: 1000

Limits the number of returned results. Used for pagination.
This parameter will be required in the future. If not provided a default of 1000 entities will be returned.

filter
string

Filters results by performing a case-insensitive substring match against the following fields:

  • description
  • rwdmNumber
  • suppliers.productNumber (applies to each supplier in the suppliers array)

Example: filter=abc will return items where 'description', 'rwdmNumber' or any 'suppliers.productNumber' contains "abc".

Responses

Response samples

Content type
application/json
[
  • {
    }
]

Get a hardware product by ID

Retrieves a single hardware product by its unique identifier.

Access Requirements (Customer Info Flags):
This endpoint is only available if the following flags are true in the customer info:

  • hasHardwareLicence
  • hardwareProfileComplete

You can verify the current customer flags by calling the GET /customerInfo endpoint.

Authorizations:
ApiKeyAuth
path Parameters
id
required
integer >= 1

Unique identifier of the hardware product.

query Parameters
lang
string
Default: "de"
Enum: "de" "fr" "en"

Specifies the language of the returned results.

Example: lang=fr

Responses

Response samples

Content type
application/json
{
  • "id": 1,
  • "rwdmNumber": "B_CT_E_110_B",
  • "rwdmInternal": "MOBA",
  • "mainGroup": {
    },
  • "subGroup": {
    },
  • "ean": "string",
  • "description": "Eckband 110° Blumotion Inserta 2",
  • "created": "2021.03.21 15:33:33",
  • "updated": "2021.03.21 15:33:33",
  • "archived": false,
  • "weight": null,
  • "unit": {
    },
  • "customFields": { },
  • "manufacturer": {
    },
  • "stockItem": true,
  • "semiFinished": true,
  • "suppliers": [
    ],
  • "pathToCatalog": "rwdm/430_Moebel_Beschlaege/Puffer/Selbstklebend/3M_SJ_5632_114x0-8_TRANS.btb"
}

Get a hardware product by rwdm number

Retrieves a single hardware product by its rwdm number.

Access Requirements (Customer Info Flags): This endpoint is only available if the following flags are true in the customer info:

  • hasHardwareLicence
  • hardwareProfileComplete

You can verify the current customer flags by calling the GET /customerInfo endpoint.

Authorizations:
ApiKeyAuth
path Parameters
id
required
integer >= 1

The rwdm number of the hardware product.

query Parameters
lang
string
Default: "de"
Enum: "de" "fr" "en"

Specifies the language of the returned results.

Example: lang=fr

Responses

Response samples

Content type
application/json
{
  • "id": 1,
  • "rwdmNumber": "B_CT_E_110_B",
  • "rwdmInternal": "MOBA",
  • "mainGroup": {
    },
  • "subGroup": {
    },
  • "ean": "string",
  • "description": "Eckband 110° Blumotion Inserta 2",
  • "created": "2021.03.21 15:33:33",
  • "updated": "2021.03.21 15:33:33",
  • "archived": false,
  • "weight": null,
  • "unit": {
    },
  • "customFields": { },
  • "manufacturer": {
    },
  • "stockItem": true,
  • "semiFinished": true,
  • "suppliers": [
    ],
  • "pathToCatalog": "rwdm/430_Moebel_Beschlaege/Puffer/Selbstklebend/3M_SJ_5632_114x0-8_TRANS.btb"
}

SupplierHardware

Get all hardware products

Returns all existing hardware products. If the supplier has no entry for this hardware product, package size and package number will be null.

Access Requirements (Customer Info Flags):
This endpoint is only available if the following flags are true in the customer info:

  • hasHardwareLicence
  • isHardwareSupplier

You can verify the current customer flags by calling the GET /customerInfo endpoint.

Authorizations:
ApiKeyAuth
query Parameters
lang
string
Default: "de"
Enum: "de" "fr" "en"

Specifies the language of the returned results.

Example: lang=fr

offset
required
integer >= 0
Default: 0

The number of items to skip before starting to collect the result set. Used for pagination.

limit
required
integer >= 1
Default: 1000

Limits the number of returned results. Used for pagination.

filter
string

Filters results by performing a case-insensitive substring match against the following fields:

  • description
  • rwdmNumber
  • productNumber

Example: filter=abc will return items where 'description', 'rwdmNumber' or any 'suppliers.productNumber' contains "abc".

Responses

Response samples

Content type
application/json
[
  • {
    }
]

Update supplier product data

Updates supplier-specific data for hardware products, including:

  • Supplier numbers
  • Package size
  • EAN
  • Manufacturer number
  • Weight (in kilograms per unit, not per package)

The id is used to identify the hardware product on the server and is immutable.

Business Rules:
EAN, manufacturerNumber, and weight can only be changed if the supplier is also the manufacturer of the product.

Access Requirements (Customer Info Flags):
This endpoint is only available if the following flags are true in the customer info:

  • hasHardwareLicence
  • isHardwareSupplier

You can verify the current customer flags by calling the GET /customerInfo endpoint.

Authorizations:
ApiKeyAuth
Request Body schema: application/json
required
Array
id
required
integer

Required to identify the product on server side. Immutable.

productNumber
string
packageSize
number <float>
weight
number <float>

weight in kilograms per unit

param
string
ean
string
manufacturerNumber
string
notInProductRange
boolean

Responses

Request samples

Content type
application/json
[
  • {
    }
]

Response samples

Content type
application/json
[
  • {
    }
]

Get a single hardware product by Id

Returns a single hardware product.
If the supplier has no entry for this hardware product, package size and package number will be null.

Access Requirements (Customer Info Flags):
This endpoint is only available if the following flags are true in the customer info:

  • hasHardwareLicence
  • isHardwareSupplier

You can verify the current customer flags by calling the GET /customerInfo endpoint.

Authorizations:
ApiKeyAuth
path Parameters
id
required
integer >= 1

Unique identifier of the hardware product.

query Parameters
lang
string
Default: "de"
Enum: "de" "fr" "en"

Specifies the language of the returned results.

Example: lang=fr

Responses

Response samples

Content type
application/json
{
  • "id": 1,
  • "rwdmNumber": "B_CT_E_110_B",
  • "rwdmInternal": "MOBA",
  • "ean": "string",
  • "description": "Eckband 110° Blumotion Inserta 2",
  • "created": "2021.03.21 15:33:33",
  • "updated": "2021.03.21 15:33:33",
  • "archived": false,
  • "active": false,
  • "weight": null,
  • "packageSize": "1.00",
  • "productNumber": "12388",
  • "param": "string",
  • "notInProductRange": true,
  • "unit": {
    },
  • "mainGroup": {
    },
  • "subGroup": {
    },
  • "manufacturer": {
    }
}

Update supplier product data

Update / create a single hardware product with supplier number, package size and weight.

Access Requirements (Customer Info Flags):
This endpoint is only available if the following flags are true in the customer info:

  • hasHardwareLicence
  • isHardwareSupplier

You can verify the current customer flags by calling the GET /customerInfo endpoint.

Authorizations:
ApiKeyAuth
path Parameters
id
required
integer >= 1

Hardware product Id

Request Body schema: application/json
required
productNumber
string
packageSize
number <float>
weight
number <float>

weight in kilograms per unit

param
string
ean
string
manufacturerNumber
string
notInProductRange
boolean

Responses

Request samples

Content type
application/json
{
  • "productNumber": "12388",
  • "packageSize": 1,
  • "weight": 3.2,
  • "param": "string",
  • "ean": "string",
  • "manufacturerNumber": "string",
  • "notInProductRange": true
}

Response samples

Content type
application/json
{
  • "id": 1,
  • "rwdmNumber": "B_CT_E_110_B",
  • "rwdmInternal": "MOBA",
  • "ean": "string",
  • "description": "Eckband 110° Blumotion Inserta 2",
  • "created": "2021.03.21 15:33:33",
  • "updated": "2021.03.21 15:33:33",
  • "archived": false,
  • "active": false,
  • "weight": null,
  • "packageSize": "1.00",
  • "productNumber": "12388",
  • "param": "string",
  • "notInProductRange": true,
  • "unit": {
    },
  • "mainGroup": {
    },
  • "subGroup": {
    },
  • "manufacturer": {
    }
}

Delete a supplier hardware product

Delete a single hardware product. The product will afterwards still be returned, but has no entry in packageSize and productNumber for the given supplier.

Access Requirements (Customer Info Flags):
This endpoint is only available if the following flags are true in the customer info:

  • hasHardwareLicence
  • isHardwareSupplier

You can verify the current customer flags by calling the GET /customerInfo endpoint.

Authorizations:
ApiKeyAuth
path Parameters
id
required
integer >= 1

Hardware product ID

Responses

Response samples

Content type
application/json
{
  • "id": 1,
  • "rwdmNumber": "B_CT_E_110_B",
  • "rwdmInternal": "MOBA",
  • "ean": "string",
  • "description": "Eckband 110° Blumotion Inserta 2",
  • "created": "2021.03.21 15:33:33",
  • "updated": "2021.03.21 15:33:33",
  • "archived": false,
  • "active": false,
  • "weight": null,
  • "packageSize": "1.00",
  • "productNumber": "12388",
  • "param": "string",
  • "notInProductRange": true,
  • "unit": {
    },
  • "mainGroup": {
    },
  • "subGroup": {
    },
  • "manufacturer": {
    }
}

Material (ERP)

Get available material data

Retrieves available material data.

Access Requirements (Customer Info Flags):
This endpoint is only available if the following flags are true in the customer info:

  • hasMaterialLicence
  • materialProfileComplete

You can verify the current customer flags by calling the GET /customerInfo endpoint.

Authorizations:
ApiKeyAuth
query Parameters
lang
string
Default: "de"
Enum: "de" "fr" "en"

Specifies the language of the returned results.

Example: lang=fr

limit
required
integer >= 1
Default: 1000

Limits the number of returned results. Used for pagination.
This parameter will be required in the future. If not provided a default of 1000 entities will be returned.

offset
required
integer >= 0
Default: 0

The number of items to skip before starting to collect the result set. Used for pagination.

filter
string

Filters results by performing a case-insensitive substring match against the following fields:

  • name
  • abbreviation
  • rwdmNumber
  • suppliers.materialNumber (applies to each supplier in the suppliers array)

Example: filter=abc will return items where 'name', 'abbreviation', 'rwdmNumber' or any 'suppliers.materialNumber' contains "abc".

Responses

Response samples

Content type
application/json
[
  • {
    }
]

Get material data by Id

Retrieves a single material record by its unique ID.

Access Requirements (Customer Info Flags):
This endpoint is only available if the following flags are true in the customer info:

  • hasMaterialLicence
  • materialProfileComplete

You can verify the current customer flags by calling the GET /customerInfo endpoint.

Authorizations:
ApiKeyAuth
path Parameters
id
required
integer >= 1

Unique identifier of the material record.

query Parameters
lang
string
Default: "de"
Enum: "de" "fr" "en"

Specifies the language of the returned results.

Example: lang=fr

Responses

Response samples

Content type
application/json
{
  • "id": 1,
  • "name": "Spanplatte P3 beschichtet Egger W908 SM 16mm",
  • "abbreviation": "Spanplatte W908",
  • "rwdmNumber": "B_CT_E_110_B",
  • "mainCategory": {
    },
  • "subCategory": {
    },
  • "unit": {
    },
  • "camGroup": "hpl",
  • "isRotatable": true,
  • "texture": false,
  • "archived": true,
  • "weight": 12.224,
  • "thickness": 16,
  • "waste": 0.1,
  • "marge": 0.1,
  • "costPrice": 0.1,
  • "price": 0,
  • "customFields": { },
  • "created": "2021.03.21 15:33:33",
  • "updated": "2021.03.21 15:33:33",
  • "stockItem": true,
  • "packagingSize": null,
  • "packagingUnit": {
    },
  • "variations": [
    ]
}

Get material data by rwdm number

Access Requirements (Customer Info Flags):
This endpoint is only available if the following flags are true in the customer info:

  • hasMaterialLicence
  • materialProfileComplete

You can verify the current customer flags by calling the GET /customerInfo endpoint.

Authorizations:
ApiKeyAuth
path Parameters
id
required
integer >= 1

rwdm number of the material.

query Parameters
lang
string
Default: "de"
Enum: "de" "fr" "en"

Specifies the language of the returned results.

Example: lang=fr

Responses

Response samples

Content type
application/json
{
  • "id": 1,
  • "name": "Spanplatte P3 beschichtet Egger W908 SM 16mm",
  • "abbreviation": "Spanplatte W908",
  • "rwdmNumber": "B_CT_E_110_B",
  • "mainCategory": {
    },
  • "subCategory": {
    },
  • "unit": {
    },
  • "camGroup": "hpl",
  • "isRotatable": true,
  • "texture": false,
  • "archived": true,
  • "weight": 12.224,
  • "thickness": 16,
  • "waste": 0.1,
  • "marge": 0.1,
  • "costPrice": 0.1,
  • "price": 0,
  • "customFields": { },
  • "created": "2021.03.21 15:33:33",
  • "updated": "2021.03.21 15:33:33",
  • "stockItem": true,
  • "packagingSize": null,
  • "packagingUnit": {
    },
  • "variations": [
    ]
}

SupplierMaterial

Get available material data.

Returns available material data.

Access Requirements (Customer Info Flags):
This endpoint is only available if the following flags are true in the customer info:

  • hasMaterialLicence
  • isMaterialSupplier

You can verify the current customer flags by calling the GET /customerInfo endpoint.

Authorizations:
ApiKeyAuth
query Parameters
lang
string
Default: "de"
Enum: "de" "fr" "en"

Specifies the language of the returned results.

Example: lang=fr

offset
required
integer >= 0
Default: 0

The number of items to skip before starting to collect the result set. Used for pagination.

limit
required
integer >= 1
Default: 1000

Limits the number of returned results. Used for pagination.

filter
string

Filters results by performing a case-insensitive substring match against the following fields:

  • name
  • abbreviation
  • rwdmNumber

Example: filter=abc will return items where 'name', 'abbreviation' or 'rwdmNumber'contains "abc".

Responses

Response samples

Content type
application/json
[
  • {
    }
]

Get supplier material data by Id

Returns a single supplier material data.

Access Requirements (Customer Info Flags):
This endpoint is only available if the following flags are true in the customer info:

  • hasMaterialLicence
  • isMaterialSupplier

You can verify the current customer flags by calling the GET /customerInfo endpoint.

Authorizations:
ApiKeyAuth
path Parameters
id
required
integer >= 1

Unique identifier of the material record.

query Parameters
lang
string
Default: "de"
Enum: "de" "fr" "en"

Specifies the language of the returned results.

Example: lang=fr

Responses

Response samples

Content type
application/json
{
  • "id": 1,
  • "rwdmNumber": "B_CT_E_110_B",
  • "name": "Spanplatte P3 beschichtet Egger W908 SM 16mm",
  • "abbreviation": "Spanplatte W908",
  • "created": "2021.03.21 15:33:33",
  • "updated": "2021.03.21 15:33:33",
  • "archived": true,
  • "isRotatable": true,
  • "weight": 12.224,
  • "thickness": 16,
  • "camGroup": "string",
  • "unit": {
    },
  • "active": true,
  • "variations": [
    ],
  • "mainCategory": {
    },
  • "subCategory": {
    }
}

Update a picture or the weight of a material

Returns the updated material record

Access Requirements (Customer Info Flags):
This endpoint is only available if the following flags are true in the customer info:

  • hasMaterialLicence
  • isMaterialSupplier

You can verify the current customer flags by calling the GET /customerInfo endpoint.

Authorizations:
ApiKeyAuth
path Parameters
id
required
integer >= 1

Unique identifier of the material record.

Request Body schema: application/json
required
imageId
integer

id of the image which shall be used for this material

weight
number <float>

weight in kilograms per unit

Responses

Request samples

Content type
application/json
{
  • "imageId": 0,
  • "weight": 3.2
}

Response samples

Content type
application/json
{
  • "id": 1,
  • "rwdmNumber": "B_CT_E_110_B",
  • "name": "Spanplatte P3 beschichtet Egger W908 SM 16mm",
  • "abbreviation": "Spanplatte W908",
  • "created": "2021.03.21 15:33:33",
  • "updated": "2021.03.21 15:33:33",
  • "archived": true,
  • "isRotatable": true,
  • "weight": 12.224,
  • "thickness": 16,
  • "camGroup": "string",
  • "unit": {
    },
  • "active": true,
  • "variations": [
    ],
  • "mainCategory": {
    },
  • "subCategory": {
    }
}

Update or add supplier numbers

Updates or adds supplier-related data for materials.

Business Rule:

  • EAN and manufacturerNumber can only be modified if the supplier is also the manufacturer of the materials.

Access Requirements (Customer Info Flags):
This endpoint is only available if the following flags are true in the customer info:

  • hasMaterialLicence
  • isMaterialSupplier

You can verify the current customer flags by calling the GET /customerInfo endpoint.

Authorizations:
ApiKeyAuth
Request Body schema: application/json
required
Array
id
required
integer
materialNumber
required
string
ean
string
manufacturerNumber
string

Responses

Request samples

Content type
application/json
[
  • {
    }
]

Response samples

Content type
application/json
{
  • "id": 1,
  • "rwdmNumber": "B_CT_E_110_B",
  • "name": "Spanplatte P3 beschichtet Egger W908 SM 16mm",
  • "abbreviation": "Spanplatte W908",
  • "created": "2021.03.21 15:33:33",
  • "updated": "2021.03.21 15:33:33",
  • "archived": true,
  • "isRotatable": true,
  • "weight": 12.224,
  • "thickness": 16,
  • "camGroup": "string",
  • "unit": {
    },
  • "active": true,
  • "variations": [
    ],
  • "mainCategory": {
    },
  • "subCategory": {
    }
}

Update or add the supplier number of a variation

Updates or adds supplier-related data for this material.

Business Rule:

  • EAN and manufacturerNumber can only be modified if the supplier is also the manufacturer of the material.

Access Requirements (Customer Info Flags):
This endpoint is only available if the following flags are true in the customer info:

  • hasMaterialLicence
  • isMaterialSupplier

You can verify the current customer flags by calling the GET /customerInfo endpoint.

Authorizations:
ApiKeyAuth
path Parameters
variationId
required
integer >= 1

Unique identifier of the material variation record.

Request Body schema: application/json
required
materialNumber
required
string
ean
string
manufacturerNumber
string
notInProductRange
boolean

Responses

Request samples

Content type
application/json
{
  • "materialNumber": "12388",
  • "ean": "string",
  • "manufacturerNumber": "string",
  • "notInProductRange": true
}

Response samples

Content type
application/json
{
  • "id": 1,
  • "rwdmNumber": "B_CT_E_110_B",
  • "name": "Spanplatte P3 beschichtet Egger W908 SM 16mm",
  • "abbreviation": "Spanplatte W908",
  • "created": "2021.03.21 15:33:33",
  • "updated": "2021.03.21 15:33:33",
  • "archived": true,
  • "isRotatable": true,
  • "weight": 12.224,
  • "thickness": 16,
  • "camGroup": "string",
  • "unit": {
    },
  • "active": true,
  • "variations": [
    ],
  • "mainCategory": {
    },
  • "subCategory": {
    }
}

Delete a supplier material variation

Access Requirements (Customer Info Flags):
This endpoint is only available if the following flags are true in the customer info:

  • hasMaterialLicence
  • isMaterialSupplier

You can verify the current customer flags by calling the GET /customerInfo endpoint.

Authorizations:
ApiKeyAuth
path Parameters
variationId
required
integer >= 1

Unique identifier of the material variation record.

Responses

Response samples

Content type
application/json
{
  • "id": 1,
  • "rwdmNumber": "B_CT_E_110_B",
  • "name": "Spanplatte P3 beschichtet Egger W908 SM 16mm",
  • "abbreviation": "Spanplatte W908",
  • "created": "2021.03.21 15:33:33",
  • "updated": "2021.03.21 15:33:33",
  • "archived": true,
  • "isRotatable": true,
  • "weight": 12.224,
  • "thickness": 16,
  • "camGroup": "string",
  • "unit": {
    },
  • "active": true,
  • "variations": [
    ],
  • "mainCategory": {
    },
  • "subCategory": {
    }
}

KBEZ

Get all short part descriptions

Retrieves a list of all available short part descriptions (KBEZ values) in the selected language.

Authorizations:
ApiKeyAuth
query Parameters
lang
string
Default: "de"
Enum: "de" "fr" "en"

Specifies the language of the returned results.

Example: lang=fr

Responses

Response samples

Content type
application/json
[
  • {
    }
]

Images

Get available images

Access Requirements (Customer Info Flags):
This endpoint is only available if the following flags are true in the customer info:

  • hasMaterialLicence

You can verify the current customer flags by calling the GET /customerInfo endpoint.

Authorizations:
ApiKeyAuth

Responses

Response samples

Content type
application/json
[]

Upload a new image

Access Requirements (Customer Info Flags):
This endpoint is only available if the following flags are true in the customer info:

  • hasMaterialLicence
  • isMaterialSupplier

You can verify the current customer flags by calling the GET /customerInfo endpoint.

Authorizations:
ApiKeyAuth
Request Body schema: multipart/form-data
image
string <binary>

The image to upload

Responses

Response samples

Content type
application/json

Base Data

Get available hardware groups

Retrieves a list of all available hardware groups in the specified language.

These groups are typically used to categorize hardware products.

Authorizations:
ApiKeyAuth
query Parameters
lang
string
Default: "de"
Enum: "de" "fr" "en"

Specifies the language of the returned results.

Example: lang=fr

Responses

Response samples

Content type
application/json
[
  • {
    }
]

Get available material categories

Retrieves a list of all available material categories in the specified language.

These categories are typically used to categorize materials.

Authorizations:
ApiKeyAuth
query Parameters
lang
string
Default: "de"
Enum: "de" "fr" "en"

Specifies the language of the returned results.

Example: lang=fr

Responses

Response samples

Content type
application/json
[
  • {
    }
]

Get customer info

Retrieves detailed information about the current customer, including license flags, custom fields and profile completeness.
This data is essential to verify access permissions for other endpoints that require specific customer flags to be true.
Use this endpoint to check which features and resources are available to the customer based on their licenses and profiles.

Authorizations:
ApiKeyAuth
query Parameters
lang
string
Default: "de"
Enum: "de" "fr" "en"

Specifies the language of the returned results.

Example: lang=fr

Responses

Response samples

Content type
application/json
[
  • {
    }
]

Get all available custom fields

Returns all available custom fields.

Responses

Response samples

Content type
application/json
[
  • {
    }
]